FIX::ConnectorWrapper Class Reference

Handles events from SocketMonitor for client connections. More...

Inheritance diagram for FIX::ConnectorWrapper:
[legend]
Collaboration diagram for FIX::ConnectorWrapper:
[legend]

## Public Member Functions

| ConnectorWrapper (SocketConnector &connector, SocketConnector::Strategy &strategy)
Public Member Functions inherited from FIX::SocketMonitor::Strategy
virtual | ~Strategy ()

## Private Member Functions

void | onConnect (SocketMonitor &, int socket)
void | onWrite (SocketMonitor &, int socket)
void | onEvent (SocketMonitor &, int socket)
void | onError (SocketMonitor &, int socket)
void | onError (SocketMonitor &)
void | onTimeout (SocketMonitor &)

## Private Attributes

SocketConnector & | m_connector
SocketConnector::Strategy & | m_strategy

## Detailed Description

Handles events from SocketMonitor for client connections.

Definition at line 39 of file SocketConnector.cpp.

## Constructor & Destructor Documentation

## ConnectorWrapper()

FIX::ConnectorWrapper::ConnectorWrapper | ( | SocketConnector & | connector,
|  | SocketConnector::Strategy & | strategy
| ) |  |

inline

Definition at line 42 of file SocketConnector.cpp.

: m_connector( connector ), m_strategy( strategy ) {}
FIX::ConnectorWrapper::m_connector
SocketConnector & m_connector
Definition SocketConnector.cpp:78
FIX::ConnectorWrapper::m_strategy
SocketConnector::Strategy & m_strategy
Definition SocketConnector.cpp:79

## Member Function Documentation

## onConnect()

void FIX::ConnectorWrapper::onConnect | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 47 of file SocketConnector.cpp.

{
m_strategy.onConnect( m_connector, socket );
}
FIX::SocketConnector::Strategy::onConnect
virtual void onConnect(SocketConnector &, int socket)=0

References m_connector, m_strategy, and FIX::SocketConnector::Strategy::onConnect().

## onError() [1/2]

void FIX::ConnectorWrapper::onError | ( | SocketMonitor & |  | ) |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 68 of file SocketConnector.cpp.

{
m_strategy.onError( m_connector );
}
FIX::SocketConnector::Strategy::onError
virtual void onError(SocketConnector &)=0

References m_connector, m_strategy, and FIX::SocketConnector::Strategy::onError().

## onError() [2/2]

void FIX::ConnectorWrapper::onError | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 63 of file SocketConnector.cpp.

{
m_strategy.onDisconnect( m_connector, socket );
}
FIX::SocketConnector::Strategy::onDisconnect
virtual void onDisconnect(SocketConnector &, int socket)=0

References m_connector, m_strategy, and FIX::SocketConnector::Strategy::onDisconnect().

## onEvent()

void FIX::ConnectorWrapper::onEvent | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 57 of file SocketConnector.cpp.

{
if( !m_strategy.onData( m_connector, socket ) )
m_strategy.onDisconnect( m_connector, socket );
}
FIX::SocketConnector::Strategy::onData
virtual bool onData(SocketConnector &, int socket)=0

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onData(), and FIX::SocketConnector::Strategy::onDisconnect().

## onTimeout()

void FIX::ConnectorWrapper::onTimeout | ( | SocketMonitor & |  | ) |

inline private virtual

Reimplemented from FIX::SocketMonitor::Strategy.

Definition at line 73 of file SocketConnector.cpp.

{
m_strategy.onTimeout( m_connector );
};
FIX::SocketConnector::Strategy::onTimeout
virtual void onTimeout(SocketConnector &)
Definition SocketConnector.h:63

References m_connector, m_strategy, and FIX::SocketConnector::Strategy::onTimeout().

## onWrite()

void FIX::ConnectorWrapper::onWrite | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

inline private virtual

Implements FIX::SocketMonitor::Strategy.

Definition at line 52 of file SocketConnector.cpp.

{
m_strategy.onWrite( m_connector, socket );
}
FIX::SocketConnector::Strategy::onWrite
virtual void onWrite(SocketConnector &, int socket)=0

References m_connector, m_strategy, and FIX::SocketConnector::Strategy::onWrite().

## Member Data Documentation

## m_connector

SocketConnector& FIX::ConnectorWrapper::m_connector

private

Definition at line 78 of file SocketConnector.cpp.

Referenced by onConnect(), onError(), onError(), onEvent(), onTimeout(), and onWrite().

## m_strategy

SocketConnector::Strategy& FIX::ConnectorWrapper::m_strategy

private

Definition at line 79 of file SocketConnector.cpp.

Referenced by onConnect(), onError(), onError(), onEvent(), onTimeout(), and onWrite().

The documentation for this class was generated from the following file:

- SocketConnector.cpp